Bug Hunting Session
Bug 83005 - Export problem from Writer using footnotes
Summary: Export problem from Writer using footnotes
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.5.2 release
Hardware: Other Windows (All)
: medium critical
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-24 09:59 UTC by Dr. Matthias Weisser
Modified: 2016-01-05 12:51 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
testfile showing text, graphic and footnotes (69.14 KB, application/vnd.oasis.opendocument.text)
2014-08-24 09:59 UTC, Dr. Matthias Weisser
Details
pdf output from odt file showing text and correct footnotes (261.63 KB, application/pdf)
2014-08-24 10:01 UTC, Dr. Matthias Weisser
Details
doc file created from LO showing problems (198.50 KB, application/msword)
2014-08-24 10:04 UTC, Dr. Matthias Weisser
Details
pdf output using LO showing export problems of LO (271.78 KB, application/pdf)
2014-08-24 10:24 UTC, Dr. Matthias Weisser
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dr. Matthias Weisser 2014-08-24 09:59:56 UTC
Created attachment 105190 [details]
testfile showing text, graphic and footnotes

I am writing books using OO and LO in WinXP. Here is a part showing an export problem. The text is given as odt file. A pdf is given showing the correct output. The export to doc is given. Unfortunately this does not show correct.
Comment 1 Dr. Matthias Weisser 2014-08-24 10:01:59 UTC
Created attachment 105191 [details]
pdf output from odt file showing text and correct footnotes
Comment 2 Dr. Matthias Weisser 2014-08-24 10:04:54 UTC
Created attachment 105192 [details]
doc file created from LO showing problems

there can be seen that the page seems to be longer - so that the layout is destroyed by the export. Also the first footnote on the page does have its number on the wrong place. Its too high.
Comment 3 Dr. Matthias Weisser 2014-08-24 10:24:24 UTC
Created attachment 105194 [details]
pdf output using LO showing export problems of LO

the LO generated doc file was reopened by LO and exported to pdf to show the problems. As you can see the page layout is destroyed. The text that was right of the picture now is below. Foot note 43 does have its number too big and too high. The last 2 pages in testcopy_lo.pdf now are 3 ones in testcopy_lo_output.pdf. Seems to be that the export added another page. Why is this so? 

The original pdf text had 22 pages. Using .doc export this expanded to 35 pages as you can see. 

I am not able sending this to a publisher this way. He wont be very happy with this kind of export.
Comment 4 Urmas 2014-08-24 14:40:28 UTC
Does not happen in 4.4.
Comment 5 Dr. Matthias Weisser 2014-08-25 04:42:42 UTC
are you really sure that all problems that can be seen by comparing the both pdf files will be solved then in 4.4? 

I did see more than one problem. 

There were - too many pages in comparison. Also see the last page problem. 
May be this is not only this foot note problem.
Comment 6 Timur 2014-10-29 12:51:57 UTC
(In reply to Dr. Matthias Weisser from comment #3)
> The text that was > right of the picture now is below. 

That's "Bild 1". You typed the text in frame.

> Footnote 43 does have its number too big and too high. 

Tabs added. Probably Bug 64026, good candidate for MAB - but seems to be solved now somewhere.

> The last 2 pages in testcopy_lo.pdf now are 3 ones in testcopy_lo_output.pdf. 
> Seems to be that the export added another page. Why is this so? 
> The original pdf text had 22 pages. Using .doc export this expanded to 35
> pages as you can see. 

In LO 4.2.7., I get: odt 26 pages, doc 57 pages.
In LO 4.3.2., I get: odt 23 pages, doc 49 pages. DOC saved in LO 4.3.2.: 45 pages.
In LO 4.4.0. master, I get: odt 26 pages, doc 57 pages.  DOC saved in LO 4.4.0.: 26 pages.
So, this may have been solved somewhere, and it remains to be seen whether this will be backported to 4.3.x.

> I am not able sending this to a publisher this way. He wont be very happy
> with this kind of export.

Sorry, don't you send PDF, exported from original ODT, which should be fine?

BTW, your pictures are not in the file, try to open it from some other computer.

I think this should be marked as "Resolved-WorksForMe".
Comment 7 Timur 2014-10-29 13:18:01 UTC
(In reply to Timur from comment #6)
> BTW, your pictures are not in the file, try to open it from some other
> computer.

I couldn't test that problem with Bild 1 comment, but I inserted some other picture, and this problem remains.
But, using picture caption, and normal text with wrap option, DOC looks fine.
 
> I think this should be marked as "Resolved-WorksForMe".
Either that, either change the title to "Picture and frame position problem in export to DOC" - but this bug may exist already.
Comment 8 Dr. Matthias Weisser 2014-11-01 07:11:20 UTC
> In LO 4.4.0. master, I get: odt 26 pages, doc 57 pages.  DOC saved in LO
> 4.4.0.: 26 pages.

this sounds well. 

> So, this may have been solved somewhere, and it remains to be seen whether
> this will be backported to 4.3.x.

ok. 

> Sorry, don't you send PDF, exported from original ODT, which should be fine?

unfortunately some of those publishers were not happy getting pdf.
Comment 9 Timur 2015-04-03 17:32:09 UTC
Since there are multiple issues here, some of them fixed and some reported, I mark as "Resolved-WorksForMe". Please bear in mind that it's highly unlikely that any bugs reported like this, "multiple problems with file", will be fixed.

I kindly ask Mr. Weisser to check listed bugs for updated information on specific problems. Also, please report each issue separately, after a search for already reported bugs.